curl --request PATCH \
--url https://data.us.algolia.com/1/destinations/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"name": "lorem",
"input": {
"indexName": "lorem",
"recordType": "product",
"attributesToExclude": [
"lorem"
]
},
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"transformationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
]
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.UpdateDestinationAsync(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new DestinationUpdate { Name = "newName" }
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.updateDestination(
destinationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
destinationUpdate: DestinationUpdate(
name: "newName",
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.UpdateDestination(client.NewApiUpdateDestinationRequest(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
ingestion.NewEmptyDestinationUpdate().SetName("newName")))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
DestinationUpdateResponse response = client.updateDestination(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new DestinationUpdate().setName("newName")
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.updateDestination({
destinationID: '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
destinationUpdate: { name: 'newName' },
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.updateDestination(
destinationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
destinationUpdate = DestinationUpdate(name = "newName"),
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->updateDestination(
'6c02aeb1-775e-418e-870b-1faccd4b2c0f',
['name' => 'newName',
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.update_destination(
destination_id="6c02aeb1-775e-418e-870b-1faccd4b2c0f",
destination_update={
"name": "newName",
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.update_destination(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
Algolia::Ingestion::DestinationUpdate.new(name: "newName")
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.updateDestination(
destinationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
destinationUpdate = DestinationUpdate(
name = Some("newName")
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.updateDestination(
destinationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
destinationUpdate: DestinationUpdate(name: "newName")
)
// print the response
print(response){
"destinationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"name": "<string>",
"updatedAt": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}Update a destination
Updates the destination by its ID.
curl --request PATCH \
--url https://data.us.algolia.com/1/destinations/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"name": "lorem",
"input": {
"indexName": "lorem",
"recordType": "product",
"attributesToExclude": [
"lorem"
]
},
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"transformationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
]
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.UpdateDestinationAsync(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new DestinationUpdate { Name = "newName" }
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.updateDestination(
destinationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
destinationUpdate: DestinationUpdate(
name: "newName",
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.UpdateDestination(client.NewApiUpdateDestinationRequest(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
ingestion.NewEmptyDestinationUpdate().SetName("newName")))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
DestinationUpdateResponse response = client.updateDestination(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new DestinationUpdate().setName("newName")
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.updateDestination({
destinationID: '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
destinationUpdate: { name: 'newName' },
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.updateDestination(
destinationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
destinationUpdate = DestinationUpdate(name = "newName"),
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->updateDestination(
'6c02aeb1-775e-418e-870b-1faccd4b2c0f',
['name' => 'newName',
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.update_destination(
destination_id="6c02aeb1-775e-418e-870b-1faccd4b2c0f",
destination_update={
"name": "newName",
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.update_destination(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
Algolia::Ingestion::DestinationUpdate.new(name: "newName")
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.updateDestination(
destinationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
destinationUpdate = DestinationUpdate(
name = Some("newName")
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.updateDestination(
destinationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
destinationUpdate: DestinationUpdate(name: "newName")
)
// print the response
print(response){
"destinationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"name": "<string>",
"updatedAt": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}addObject, deleteIndex, editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Unique identifier of a destination. Universally unique identifier (UUID) of a destination resource.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Body
API request body for updating a destination.
Universally unique identifier (UUID) of an authentication resource.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Show child attributes
Show child attributes
Descriptive name for the resource.
Universally unique identifier (UUID) of a transformation.
Response
OK
API response for updating a destination.
Was this page helpful?